<?php
namespace SM\Service;

use SM\Factory\LogCallbackCertisignFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Zeedhi\Framework\DataSource\DataSet;

class LogCallbackCertisignService {

    protected $LogCallbackCertisignFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (LogCallbackCertisignFactory $LogCallbackCertisignFactory, Environment $Environment, NewCode $newCode) {
        $this->LogCallbackCertisignFactory  = $LogCallbackCertisignFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function logCallbackCertisign() {
        return $this->LogCallbackCertisignFactory->logCallbackCertisign();
    }

    public function getProposal() {
        return $this->LogCallbackCertisignFactory->getProposal();
    }
    
    public function getContractsLog() {
        return $this->LogCallbackCertisignFactory->getContractsLog();
    }
}